[package]
name = "server"
version = "0.1.0"
authors = ["Sean Stangl <sean.stangl@gmail.com>"]
description = "The OpenPowerlifting Webserver"
edition = "2021"
license = "AGPL-3.0-or-later"

[dependencies]
checker = { path = "../checker" }
coefficients = { path = "../crates/coefficients/" }
langpack = { path = "../crates/langpack/" }
opldb = { path = "../crates/db/" }
opltypes = { path = "../crates/opltypes/" }
accept-language = "3.0"
csv = "1.1"
dotenv = "0.15"
itertools = "0.11"
search = { version = "0.1", path = "../crates/search" }
serde = "1.0"
serde_derive = "1.0"
serde_json = "1.0"
strum = "0.25"
rocket = { version = "0.5.0-rc.2", features = ["json"] }
rocket_dyn_templates = { version = "0.1.0-rc.2", features = ["tera"] }
mimalloc = { version = "0.1", default-features = false }
urlencoding = "2.1.2"
